<script>
	import Link from '$lib/base/link.svelte';
	export let service;
</script>

<div class="card-container">
	<div class="content-wrapper">
		<img src={service.image} alt={service.id} />
		<h3>{service.title}</h3>
		<p>{service.summary}</p>
		<Link class="link" href="/services/{service.id}">En savoir plus -></Link>
	</div>
</div>

<style>
	.card-container {
		position: relative;
		min-width: 350px;
		width: 23%;
		background-color: var(--primary-gray-lighten-2);

		border: solid white 8px;
		/* box-shadow: rgba(256, 256, 256, 0.05) 0px 0px 50px; */
		color: white;

		display: flex;

		padding-left: 24px;
		padding-right: 24px;
		padding-top: 24px;
		padding-bottom: 24px;
	}

	.content-wrapper {
		display: flex;
		flex-direction: column;
	}

	img {
		width: 100%;
		height: 350px;
		object-position: top;
		object-fit: cover;
	}

	h3 {
		font-size: 1.75em;
		margin: 10px 0 10px 0;
		text-align: center;
	}

	p {
		flex: 1;
		text-align: justify;
	}

	:global(.link) {
		font-size: 1.75em;
	}

	@media (min-width: 400px) {
		.card-container {
			border: solid white 12px;

			padding-left: 48px;
			padding-right: 48px;
			padding-top: 24px;
			padding-bottom: 24px;
		}
	}
</style>
